> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-r/reference/version/versionusddelete.md).

# Version$delete

### Version$<mark style="color:purple;">delete</mark>() → [Version](/api/client-libraries/redivis-r/reference/version.md) | void

If a version is unreleased, it will be permanently deleted, and this method will return `void`. Otherwise, the historic version will be marked as deleted and all of its data will be removed, though metadata about the version will persist. In this latter case, the updated version will be returned, with `version.properties["isDeleted"] == TRUE`.

The current version of a dataset cannot be deleted.

### **Returns:**

[**Version**](/api/client-libraries/redivis-r/reference/version.md) **| void**

### Examples

```r
dataset <- redivis.organization("my_organization")$dataset("some_dataset")

# Only valid if version 1.0 isn't the current version
first_version <- dataset$version("1.0")
first_version$delete() # first_version$properties[["isDeleted"]] == TRUE

# Only valid if the dataset has an unreleased "next" version
next_version <- dataset$version("next")
next_version$delete() # next_version$exists() == FALSE
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/version/versionusddelete.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
